#
# Conditional build:
%bcond_without	tests	# unit tests

%define 	module	pyscard
Summary:	A framework for building smart card aware applications in Python 3
Summary(pl.UTF-8):	Szkielet do tworzenia w Pythonie 3 aplikacji wykorzystujących karty procesorowe
Name:		python3-%{module}
Version:	2.2.2
Release:	1
License:	LGPL v2.1+
Group:		Libraries/Python
Source0:	https://downloads.sourceforge.net/pyscard/pyscard-%{version}.tar.gz
# Source0-md5:	d36c8983acb820f2fa8c845f97de2ece
URL:		https://sourceforge.net/projects/pyscard/
BuildRequires:	pcsc-lite-devel
BuildRequires:	python3-devel >= 1:3.9
%{?with_tests:BuildRequires:	python3-pytest}
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
BuildRequires:	swig-python >= 2
Requires:	python3-modules >= 1:3.9
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The pyscard smartcard library is a framework for building smart card
aware applications in Python. The smartcard module is built on top of
the PCSC API Python wrapper module.

%description -l pl.UTF-8
Biblioteka pyscard smartcard to szkielet do tworzenia w Pythonie
aplikacji wykorzystujących karty procesorowe. Moduł smartcard jest
zbudowany w oparciu o moduł Pythona obudowujący API PCSC.

%prep
%setup -q -n %{module}-%{version}

%build
%py3_build

%if %{with tests}
PYTEST_DISABLE_PLUGIN_AUTOLOAD=1 \
PYTHONPATH="$(echo $(pwd)/build-3/lib.*)" \
%{__python3} -m pytest test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
cp -a src/smartcard/Examples/* $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version}
find $RPM_BUILD_ROOT%{_examplesdir}/python3-%{module}-%{version} -name '*.py' \
	| xargs sed -i '1s|^#!.*env python3|#!%{__python3}|'

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ACKS ChangeLog README.md TODO
%dir %{py3_sitedir}/smartcard
%{py3_sitedir}/smartcard/*.py
%{py3_sitedir}/smartcard/__pycache__
%dir %{py3_sitedir}/smartcard/pcsc
%{py3_sitedir}/smartcard/pcsc/*.py
%{py3_sitedir}/smartcard/pcsc/__pycache__
%dir %{py3_sitedir}/smartcard/reader
%{py3_sitedir}/smartcard/reader/*.py
%{py3_sitedir}/smartcard/reader/__pycache__
%dir %{py3_sitedir}/smartcard/scard
%attr(755,root,root) %{py3_sitedir}/smartcard/scard/_scard.*.so
%{py3_sitedir}/smartcard/scard/*.py
%{py3_sitedir}/smartcard/scard/__pycache__
%dir %{py3_sitedir}/smartcard/sw
%{py3_sitedir}/smartcard/sw/*.py
%{py3_sitedir}/smartcard/sw/__pycache__
%dir %{py3_sitedir}/smartcard/util
%{py3_sitedir}/smartcard/util/*.py
%{py3_sitedir}/smartcard/util/__pycache__
%dir %{py3_sitedir}/smartcard/wx
%{py3_sitedir}/smartcard/wx/*.py
%{py3_sitedir}/smartcard/wx/__pycache__
%{py3_sitedir}/smartcard/wx/resources
%{py3_sitedir}/%{module}-%{version}-py*.egg-info
%{_examplesdir}/python3-%{module}-%{version}
%changelog
* Mon Jun 23 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python3-pyscard.git;a=log;h=master

* Mon Jun 23 2025 Jakub Bogusz <qboosh@pld-linux.org> a880f9a
- updated to 2.2.2

* Tue Mar 11 2025 Jan Rękorajski <baggins@pld-linux.org> ab50dcb
- doc/test rebuild for python 3.13

* Mon Mar 10 2025 Jan Rękorajski <baggins@pld-linux.org> fc4f1d9
- python 3.13 rebuild

* Sat Feb 03 2024 Jakub Bogusz <qboosh@pld-linux.org> f21558e
- updated to 2.0.7

* Thu Nov 03 2022 Jan Palus <atler@pld-linux.org> dc1759e
- up to 2.0.5

* Thu Nov 03 2022 Jan Palus <atler@pld-linux.org> d6f3ecf
- rename python-pyscard.spec -> python3-pyscard.spec

* Wed Mar 30 2022 Jan Rękorajski <baggins@pld-linux.org> 5b4f117
- rebuild with tests and docs

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 44c8195
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> daae211
- rebuild with python 3.10

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 6ab5e82
- rebuild with separate debuginfo build-ids

* Fri Feb 26 2021 Jan Rękorajski <baggins@pld-linux.org> 1a7c2a6
- release 4 (by relup.sh)

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> 29b60d4
- rebuild with python 3.8
- release 3 (by relup.sh)

* Tue Jul 03 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 8c77c4a
- release 2 (by relup.sh)

* Sat May 19 2018 Jakub Bogusz <qboosh@pld-linux.org> 87c410a
- updated to 1.9.6

* Wed Feb 01 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> de6998d
- initial

